Bug 982509 - When removing an rpm from an repository the link to the rpm under /var/lib/pulp/working/repos/<repo-name>/distributors/yum_distributor/ is not removed.
When removing an rpm from an repository the link to the rpm under /var/lib/pu...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.1.1
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.4.0
Assigned To: Mike McCune
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 04:29 EDT by pgustafs
Modified: 2014-08-09 02:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:56:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pgustafs 2013-07-09 04:29:11 EDT
Description of problem:
When removing an rpm from an repository the link to the rpm under /var/lib/pulp/working/repos/<repo-name>/distributors/yum_distributor/ is not removed.


Version-Release number of selected component (if applicable):
pulp-selinux-2.1.3-1.el6.noarch
pulp-builtins-admin-extensions-2.1.3-1.el6.noarch
pulp-rpm-admin-extensions-2.1.3-1.el6.noarch
pulp-server-2.1.3-1.el6.noarch
pulp-rpm-plugins-2.1.3-1.el6.noarch
pulp-puppet-plugins-2.1.3-1.el6.noarch
pulp-admin-client-2.1.3-1.el6.noarch
pulp-puppet-admin-extensions-2.1.3-1.el6.noarch



How reproducible:
Always


Steps to Reproduce:
1. Upload an rpm to an repo:
pulp-admin rpm repo uploads rpm -f /tmp/test-1.0-1.noarch.rpm --repo-id=foo
2. Publish the rpm:
pulp-admin rpm repo publish run --repo-id=foo

3.# ls -l /var/lib/pulp/working/repos/foo/distributors/yum_distributor/test-1.0-1.noarch.rpm
lrwxrwxrwx. 1 apache apache 164 Jul  9 09:32 /var/lib/pulp/working/repos/foo/distributors/yum_distributor/test-1.0-1.noarch.rpm -> /var/lib/pulp/content/rpm/ipa-python/1.0/1/noarch/c1fe260f1e486b4784e326e6fca5d99618253a25b44ee75318dd8e4576090bcf/test-1.0-1.noarch.rpm

3. Remove the rpm:
# pulp-admin rpm repo remove rpm --repo-id foo --str-eq="filename=test-1.0-1.noarch.rpm"


# pulp-admin repo tasks list --repo-id NetEnt-rhel-6-server-x86_64-appdev-game-execution-environment
+----------------------------------------------------------------------+
                                 Tasks
+----------------------------------------------------------------------+

Operations:  unassociate
Resources:   foo
             (repository)
State:       Successful
Start Time:  2013-07-09T08:22:25Z
Finish Time: 2013-07-09T08:22:25Z
Result:      N/A
Task Id:     5f4fedd4-34a8-4d4e-9521-c5661afbb74e

# pulp-admin rpm repo publish run --repo-id=foo

#  ls -l /var/lib/pulp/working/repos/foo/distributors/yum_distributor/test-1.0-1.noarch.rpm
lrwxrwxrwx. 1 apache apache 164 Jul  9 09:32 /var/lib/pulp/working/repos/foo/distributors/yum_distributor/test-1.0-1.noarch.rpm -> /var/lib/pulp/content/rpm/ipa-python/1.0/1/noarch/c1fe260f1e486b4784e326e6fca5d99618253a25b44ee75318dd8e4576090bcf/test-1.0-1.noarch.rpm
Actual results:


Expected results:

The link to the rpm under /var/lib/pulp/working/repos/<repo name>/distributors/yum_distributor/ should be removed when removing an rpm from an repository.


Additional info:
Comment 2 Jason Connor 2013-11-13 15:01:46 EST
This has been fixed as part of the new yum distributor
Comment 4 Jeff Ortel 2014-04-03 09:35:41 EDT
build: 2.4.0-0.7.beta
Comment 5 Preethi Thomas 2014-04-15 11:42:01 EDT
verified
[root@pulp-24-server ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.9.beta.el6.noarch
[root@pulp-24-server ~]#
Comment 6 Randy Barlow 2014-08-09 02:56:05 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.